# Cleanup pyc files in $1
function clean_pyc() {
    local DIR
    DIR='.'
    if [ "x$1" != "x" ] ; then
        DIR=$1
    fi
    find $DIR -name \*.pyc -print0 | xargs -0 rm
}

## Searching stuff
# Function to use mdfind instead of find on Mac OS X
function ffind() {
    mdfind -onlyin "$PWD" "kMDItemFSName=$1"
}

# Function to use grep on a particular filetype in the current dir.
function tgrep() {
   egrep -R --include="*.$1" "$2" .
}


## Django stuff
function django_settings_set() {
    export DJANGO_SETTINGS_MODULE="$1"
}

# run a django app in spawn
function spawn_django() {
    if [ -e ./eco/bin/spawn ] ; then
        eco/bin/spawn --factory=spawning.django_factory.config_factory $@
    else
        spawn --factory=spawning.django_factory.config_factory $@
    fi
}
